<template>
  <v-container class="fill-height" fluid>
    <v-row align="center" justify="center">
      <v-col cols="12" sm="8" md="6">
        <v-alert type="error" dense>
          <v-row align="center">
            <v-col class="grow">
              <h2 v-if="error.statusCode">{{ error.statusCode }}</h2>
              <h4 v-else>Error</h4>
              <p class="mb-0">{{ errorMessage }}</p>
            </v-col>
          </v-row>
        </v-alert>
        <v-btn color="indigo" @click="goBack">Go Back</v-btn>
        <v-btn color="indigo" to="/">Return to Dashboard</v-btn>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  props: {
    error: {
      type: Object,
      default: () => ({}),
    },
  },
  computed: {
    errorMessage() {
      return (
        this.error.message || 'An unexpected error has occurred. Please try again later.'
      );
    },
  },
  methods: {
    goBack() {
      this.$router.go(-1);
    },
  },
};
</script>

<style scoped>
/* Custom styles for error page */
</style>
